summaryrefslogtreecommitdiff
path: root/tests/rm/r-4.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/rm/r-4.sh')
-rwxr-xr-xtests/rm/r-4.sh36
1 files changed, 36 insertions, 0 deletions
diff --git a/tests/rm/r-4.sh b/tests/rm/r-4.sh
new file mode 100755
index 000000000..0bfb76072
--- /dev/null
+++ b/tests/rm/r-4.sh
@@ -0,0 +1,36 @@
+#!/bin/sh
+# Try to remove '.' and '..' recursively.
+
+# Copyright (C) 2006-2012 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+. "${srcdir=.}/init.sh"; path_prepend_ ../src
+print_ver_ rm
+
+mkdir d || framework_failure_
+touch d/a || framework_failure_
+
+rm -fr d/. 2>/dev/null && fail=1
+rm -fr d/./ 2>/dev/null && fail=1
+rm -fr d/.//// 2>/dev/null && fail=1
+rm -fr d/.. 2>/dev/null && fail=1
+rm -fr d/../ 2>/dev/null && fail=1
+
+# This test is too dangerous -- if there's a bug you're wiped out!
+# rm -fr / 2>/dev/null && fail=1
+
+test -f d/a || fail=1
+
+Exit $fail